Author Topic: Prevent network structures from being automatically rotated (Civil 3D)  (Read 6827 times)

0 Members and 1 Guest are viewing this topic.

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Is it possible to prevent network structures from coming in rotated? If I want them rotated, I'd rather do it myself.
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Is it possible to prevent network structures from coming in rotated? If I want them rotated, I'd rather do it myself.
which structures are you talking about?
round ones
eccentric ones
rectalinear ones

help me help you
Be your Best


Michael Farrell
http://primeservicesglobal.com/

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Is it possible to prevent network structures from coming in rotated? If I want them rotated, I'd rather do it myself.
which structures are you talking about?
round ones
eccentric ones
rectalinear ones

help me help you
Round ones. Manhole lids to be exact. Sorry for the unintentional ambiguity, I didn't think it mattered.
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
OK, except the 'lid' is being rotated with the structure I believe it isn't controlled independently.

During Pipe Network creation, the answer will be NO

When placing 'Structures Only' still NO only they come in @ zero rotation

A process one might employ:

Draw the network
Select one structure>>Rt-click  'Select Similar'>>Delete
Then place structures only as part of the network they should insert at zero for you then.

Be your Best


Michael Farrell
http://primeservicesglobal.com/

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Is it possible to prevent network structures from coming in rotated? If I want them rotated, I'd rather do it myself.
which structures are you talking about?
round ones
eccentric ones
rectalinear ones

help me help you
Round ones. Manhole lids to be exact. Sorry for the unintentional ambiguity, I didn't think it mattered.
Shape of structure really wasn't important, only wanted to keep you busy while I looked into the answer.   ;-)
Be your Best


Michael Farrell
http://primeservicesglobal.com/

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
OK, except the 'lid' is being rotated with the structure I believe it isn't controlled independently.

During Pipe Network creation, the answer will be NO

When placing 'Structures Only' still NO only they come in @ zero rotation

A process one might employ:

Draw the network
Select one structure>>Rt-click  'Select Similar'>>Delete
Then place structures only as part of the network they should insert at zero for you then.


Ehh, screw it. It's not that big of a deal, it's just annoying when the S or D for a storm/sewer manhole is rotated. If it was some simple setting, I'd go with it. Thanks Michael.

Is it possible to prevent network structures from coming in rotated? If I want them rotated, I'd rather do it myself.
which structures are you talking about?
round ones
eccentric ones
rectalinear ones

help me help you
Round ones. Manhole lids to be exact. Sorry for the unintentional ambiguity, I didn't think it mattered.
Shape of structure really wasn't important, only wanted to keep you busy while I looked into the answer.   ;-)
LoL
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

Jeff_M

  • King Gator
  • Posts: 4096
  • C3D user & customizer
You can also set the rotation for all structures (or just selected ones) at once after they are created if you like, using the Pipe Network Vista editor.

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Ahh, it's rotating them based on the UCS. Even when you edit them in the vista, your angle has to account for a rotated UCS.

Code: [Select]
(defun c:STZ (/ a ss i)
  ;; Set AECC Pipe Network Structure to UCS X Direction
  ;; Alan J. Thompson, 05.11.11
  (setq a (angle '(0. 0. 0.) (trans (getvar 'UCSXDIR) 0 (trans '(0. 0. 1.) 1 0 T) T)))
  (if (setq ss (ssget "_:L" '((0 . "AECC_STRUCTURE"))))
    (repeat (setq i (sslength ss))
      (vlax-put-property (vlax-ename->vla-object (ssname ss (setq i (1- i)))) 'Rotation a)
    )
  )
  (princ)
)
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Ahh, it's rotating them based on the UCS. Even when you edit them in the vista, your angle has to account for a rotated UCS.

Code: [Select]
(defun c:STZ (/ a ss i)
  ;; Set AECC Pipe Network Structure to UCS X Direction
  ;; Alan J. Thompson, 05.11.11
  (setq a (angle '(0. 0. 0.) (trans (getvar 'UCSXDIR) 0 (trans '(0. 0. 1.) 1 0 T) T)))
  (if (setq ss (ssget "_:L" '((0 . "AECC_STRUCTURE"))))
    (repeat (setq i (sslength ss))
      (vlax-put-property (vlax-ename->vla-object (ssname ss (setq i (1- i)))) 'Rotation a)
    )
  )
  (princ)
)


 

Uh why are you working in a rotated UCS?
Be your Best


Michael Farrell
http://primeservicesglobal.com/

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Ahh, it's rotating them based on the UCS. Even when you edit them in the vista, your angle has to account for a rotated UCS.

Code: [Select]
(defun c:STZ (/ a ss i)
  ;; Set AECC Pipe Network Structure to UCS X Direction
  ;; Alan J. Thompson, 05.11.11
  (setq a (angle '(0. 0. 0.) (trans (getvar 'UCSXDIR) 0 (trans '(0. 0. 1.) 1 0 T) T)))
  (if (setq ss (ssget "_:L" '((0 . "AECC_STRUCTURE"))))
    (repeat (setq i (sslength ss))
      (vlax-put-property (vlax-ename->vla-object (ssname ss (setq i (1- i)))) 'Rotation a)
    )
  )
  (princ)
)


 

Uh why are you working in a rotated UCS?

I always set my UCS to match my view. I want to be able to place text, etc. and it look correct. C3D labels will do this, but not mtext/mleaders.
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

alanjt

  • Needs a day job
  • Posts: 5352
  • Standby for witty remark...
Please correct me if I'm doing something wrong/stupid.
Civil 3D 2019 ~ Windohz 7 64bit
Dropbox

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
The issue with UCS set to matching anything other than world...is the potential for point data to be extracted or created and cause havoc.  ( I know it won't ever happen to *YOU* because you have some how managed to work around this or simply accept it as a risk. And *YOU* knoe who you are.    ;-))

It would be suggested that one place those NON C3D labels through the Paperspace viewport.
They will then be placed correctly to the View's UCS only you will not need to create or manage it.
This leaves modelspace always at world.
Or switch some of those dumb MTEXT notes over to General Note Labels; my guess is some of them fall into the category of Typical Notes and  find their way onto your plans regularly.
Be your Best


Michael Farrell
http://primeservicesglobal.com/